<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: insertRow</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: insertRow</h1>

    




<section>

<header>
    
        <h2>insertRow</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>Generate inner namespace of the startFileExample</p></div>
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line139">line 139</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id=".for"><span class="type-signature">(static) </span>for<span class="signature">(k, data)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>creates a specific push button for all engine model data
and assigns a specific editor to the button. The editor gets activated
on pushing the button.
Foo object (@see: <code>module:handleModelData</code>)</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>k</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>iterator over postgres data</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>data</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line158">line 158</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-a_index_server.html">a_index_server</a></li><li><a href="module-b_create_caldata_buttons_client.html">b_create_caldata_buttons_client</a></li><li><a href="module-c_socketCom_server.html">c_socketCom_server</a></li><li><a href="module-d_handleModelData_client.html">d_handleModelData_client</a></li><li><a href="module-e_getModelStimulationData.html">e_getModelStimulationData</a></li><li><a href="module-f_getPostgresData_server.html">f_getPostgresData_server</a></li><li><a href="module-g_setPostgresData_server.html">g_setPostgresData_server</a></li><li><a href="module-h_deletePostgresData_server.html">h_deletePostgresData_server</a></li><li><a href="module-i_getPostgresWOsocket_server.html">i_getPostgresWOsocket_server</a></li><li><a href="module-j_updatePostgresData_server.html">j_updatePostgresData_server</a></li><li><a href="module-k_select-stimulation_client.html">k_select-stimulation_client</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.k_1_startStimulation.html">k_1_startStimulation</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html">c_1_socketfunction</a></li><li><a href="data.b_1_dataviz.html">b_1_dataviz</a></li><li><a href="data.b_1_dataviz.b_1_1_socketevent.html">b_1_1_socketevent</a></li><li><a href="data.d_1_handler.html">d_1_handler</a></li><li><a href="data.insertRow.html">insertRow</a></li></ul><h3>Classes</h3><ul><li><a href="d3.html">d3</a></li><li><a href="express.html">express</a></li><li><a href="pool.html">pool</a></li><li><a href="response.html">response</a></li><li><a href="router.html">router</a></li><li><a href="selection.html">selection</a></li><li><a href="server.html">server</a></li><li><a href="socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:connection">connection</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:curvedata">curvedata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:disconnect">disconnect</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getCurve">getCurve</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getTable">getTable</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:initNewData">initNewData</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:tabledata">tabledata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:time">time</a></li><li><a href="data.b_1_dataviz.html#.event:thermdata">thermdata</a></li><li><a href="module-e_getModelStimulationData.html#~event:sendAudioFlPths">sendAudioFlPths</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-codeAnalysisAndRefactoring.html">Static source code analysis and refactoring interface</a></li><li><a href="tutorial-graphicalEditor.html">Graphical editor for maps and curves</a></li><li><a href="tutorial-modelStimulation.html">Stimulation of physical and engine control models</a></li><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Thu Jul 29 2021 08:51:40 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>